@echo off
@setlocal enabledelayedexpansion
@setlocal

@REM ----------------------------------------------------------------------------------------------
@REM delete_sanitizer_log
@REM
@REM explanation:
@REM   1.target dirzcmw projectOutput Dirɂ.onlysanitizerlog fileSč폜
@REM   2.analysis repot, sanitizer report(csv,html)΍폜
@REM
@REM argument: 
@REM    %1: target dir path
@REM
@REM return: 
@REM    0: I
@REM    1: Error
@REM
@REM output: 
@REM    none
@REM ----------------------------------------------------------------------------------------------

if [%1]==[] goto :empty
set target_dir=%~1
goto :main

:empty
echo ===[Error: Please input the arguments  target dir path in delete_sanitizer_log.bat] 1>&2
@exit /B 1

:main
REM tH_L̊mF
if not exist "%target_dir%" (
    echo ===[Error: Please specify the arguments target dir path in delete_sanitizer_log.bat] 1>&2
    @exit /B 1
)

set bin_dir=%~dp0
for /f "usebackq delims=" %%a in (`chdir`) do set current_dir=%%a

set deletet_extension=.onlysanitizerlog
set "output_file_name=sanitizer_report"
set delete_flg=0
REM delete old *.log file in OutDir
for /f "usebackq tokens=1,2,3,4,5 delims=," %%a in (`call "%bin_dir%"search_output_dir.bat "!target_dir!" `) do (
    REM cmw project file name, full path, cmw project dir path, dir, output dir full path
    REM echo %%a / %%b / %%c / %%d / %%e
    set search_output_dir=%%~e

    REM search_output_dirdirectoryz*.onlysanitizerlogA*.onlysanitizerlog΍폜
    REM echo ===[search_output_dir:!search_output_dir!]
    if exist !search_output_dir! (
        for /f "usebackq tokens=1 delims=" %%z in (`dir /b "!search_output_dir!"`) do (
            set fileExtension=%%~xz
            if !fileExtension! == %deletet_extension% (
                del "!search_output_dir!\%%z"
                set /a delete_flg=1
            )
        )
    )
)

if %delete_flg% equ 0 (
    echo ===[complete there was no *.onlysanitizerlog file.]
) else (
    echo ===[complete delete *.onlysanitizerlog file]
)
REM delete analysis repot, report csv, report html @review
if exist "%current_dir%\%output_file_name%.csv" (
    del "%current_dir%\%output_file_name%.csv"
    echo ===[delete past reports:"%current_dir%\%output_file_name%.csv"]
)
if exist "%current_dir%\%output_file_name%.html" (
    del "%current_dir%\%output_file_name%.html"
    echo ===[delete past reports:"%current_dir%\%output_file_name%.html"]

)

@exit /B 0