@echo off
@setlocal enabledelayedexpansion
@setlocal

@REM ----------------------------------------------------------------------------------------------
@REM search_output_dir
@REM
@REM explanation:
@REM    1.target dirzcmw Projectt@CLڂOutput Dir
@REM 
@REM argument: 
@REM   %1 target dir path
@REM
@REM return: 
@REM    0: I
@REM    1: Error
@REM
@REM output: 
@REM   cmw project file name, cmw project file path, Output dir name, Output dir path
@REM
@REM ----------------------------------------------------------------------------------------------

if [%1]==[] goto :empty
set target_dir=%~1
goto :main

:empty
echo ===[Error: Please input the arguments target dir path in search_output_dir.bat] 1>&2
@exit /B 1

:main
REM Root directory to sreach
REM Loop through all winAMS files(*.amsy)
if not exist "%target_dir%" (
    echo ===[Error: Please specify the arguments target dir path in search_output_dir.bat] 1>&2
    @exit /B 1
)
set cmw_project_cont=0
REM target dirzcmw project(*.amsy)
for /r "%target_dir%" %%f in (*.amsy) do (
    set cmw_project_file=%%~nxf
    set cmw_project_file_full_path=%%f
    set cmw_project_dir_path=%%~dpf
    REM cmw project(*.amsy)OutDir擾
    for /f "usebackq tokens=2 delims=.\" %%x in (`type "!cmw_project_file_full_path!" ^| find /i "OutDir="`) do (
        set serach_directory=%%x
        set serach_path=!cmw_project_dir_path!!serach_directory!
        echo !cmw_project_file!,"!cmw_project_file_full_path!","!cmw_project_dir_path!","!serach_directory!","!serach_path!"
    )
    set /a cmw_project_cont+=1
)

REM target dirzcmw project(*.amsy)0̏ꍇA󕶎ԋp
if !cmw_project_cont! equ 0 (
    echo !cmw_project_file!,"!cmw_project_file_full_path!","!cmw_project_dir_path!","!serach_directory!","!serach_path!"
)

@exit /B 0


