@echo off
@setlocal enabledelayedexpansion
@setlocal

REM set Path
set "bin_dir_path=../bin\"
set "cmw_project_path=./"

REM set Out dir
set year=%date:~0,4%
set month=%date:~5,2%
set day=%date:~8,2%
set time2=%time: =0%
set hour=%time2:~0,2%
set minute=%time2:~3,2%
set second=%time2:~6,2%
set time3=%hour%%minute%%second%
set outdir=%year%-%month%-%day%(%hour%'%minute%'%second%)

echo ====[build start]
call make.bat build >nul
echo ====[build end]

set PATH=%PATH%;c:\winAMS\bin

REM Search elf file
for %%f in ("a.elf") do (
    set elf_file_path=%%~ff
)
if not exist "%elf_file_path%" (
  echo ====[Error:unknown ELF file] 1>&2
  @exit /B 1
)

REM OMF converter
echo ====[OMF converter start]
sstmanager -obj "%elf_file_path%" "%cmw_project_path%winAMS_env_comp\winAMS_env_comp.amsy"
echo ====[OMF converter end]

REM simulation start
echo ====[simulation start]
sstmanager -b -testCsv fsanitize_call_ubsan_handle_add_overflow_comp.csv -output Out%outdir%  "%cmw_project_path%winAMS_env_comp\winAMS_env_comp.amsy"

REM sx.log copy
echo ====[sx.log copy]
call "%bin_dir_path%SimulaterlogSanitizerCheck.exe" "%cmw_project_path%winAMS_env_comp\winAMS_env_comp.amsy"
